### Method

# Fwupd Client fix_host_security_attr_async

#### Declaration [src]

    void
    fwupd_client_fix_host_security_attr_async (
      FwupdClient* self,
      const gchar* appstream_id,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Fix one specific security attribute.

Available since: | 1.9.6

#### Parameters

`appstream_id` | `const gchar*`
| HSI AppStream ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| The function to run on completion.
| The argument can be `NULL`.
`callback_data` | `gpointer`
| The data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.